de.esprit.common.type

## Enum WindowAlignment

- java.lang.Object
- - java.lang.Enum<WindowAlignment>
  - - de.esprit.common.type.WindowAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WindowAlignment>

      public enum WindowAlignment
      extends java.lang.Enum<WindowAlignment>

  This enum defines alignment positions for windows relative to a parent component.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_LEFT_CORNER_TO_TOP_LEFT_CORNER`
    `BOTTOM_RIGHT_CORNER_TO_TOP_RIGHT_CORNER`
    `CENTER_TO_CENTER`
    `LEFT_EDGE_TO_LEFT_EDGE`
    `LOWER_EDGE_TO_TOP_EDGE`
    `RIGHT_EDGE_TO_TOP_LEFT_CORNER`
    `TOP_RIGHT_CORNER_TO_TOP_LEFT_CORNER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WindowAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTTOM_RIGHT_CORNER_TO_TOP_RIGHT_CORNER

          public static final WindowAlignment BOTTOM_RIGHT_CORNER_TO_TOP_RIGHT_CORNER

    - #### BOTTOM_LEFT_CORNER_TO_TOP_LEFT_CORNER

          public static final WindowAlignment BOTTOM_LEFT_CORNER_TO_TOP_LEFT_CORNER

    - #### TOP_RIGHT_CORNER_TO_TOP_LEFT_CORNER

          public static final WindowAlignment TOP_RIGHT_CORNER_TO_TOP_LEFT_CORNER

    - #### RIGHT_EDGE_TO_TOP_LEFT_CORNER

          public static final WindowAlignment RIGHT_EDGE_TO_TOP_LEFT_CORNER

    - #### LOWER_EDGE_TO_TOP_EDGE

          public static final WindowAlignment LOWER_EDGE_TO_TOP_EDGE

    - #### LEFT_EDGE_TO_LEFT_EDGE

          public static final WindowAlignment LEFT_EDGE_TO_LEFT_EDGE

    - #### CENTER_TO_CENTER

          public static final WindowAlignment CENTER_TO_CENTER

  - ### Method Detail

    - #### values

          public static WindowAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowAlignment c : WindowAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 EsprIT-Systems. All Rights Reserved.